Include twofa_scheme (two-factor scheme) column when exporting users to CSV
2020-11-10 03:35 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

The upcoming Redmine 4.2 has a two-factor authentication feature (#1237). | suggest adding twofa_scheme column to users CSV.
From the perspective of information security management of an organization, the feature to obtain two-factor authentication status for
all users is useful.

Possible values:

e "Disabled”
e |("twofa__#{s}__label_activate") (currently, "Authenticator app" (twofa__totp_ name) is the only supported scheme)

Related issues:
Related to Redmine - Feature #1237: Add support for two-factor authentication Closed 2008-05-14

Associated revisions

Revision 20350 - 2020-11-13 02:08 - Go MAEDA

Include twofa_scheme (two-factor scheme) column when exporting users to CSV (#34241).

Patch by Mizuki ISHIKAWA.

Revision 20351 - 2020-11-13 02:11 - Go MAEDA
Update locales (#34241).

History

#1 - 2020-11-10 03:43 - Go MAEDA
- Related to Feature #1237: Add support for two-factor authentication added

#2 - 2020-11-11 07:02 - Mizuki ISHIKAWA
- File feature-34241.patch added

| attach the patch.

#3 - 2020-11-11 08:20 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2020-11-11 15:46 - Go MAEDA
- File feature-34241-v2.patch added

Thank you for posting the patch. | slightly updated the patch.

* Redmine might support two-factor schemes other than TOTP in the feature, so | have changed UsersHelper#csv_content to allow other
schemes
¢ Moved "Two-factor authentication scheme" column before timestamp columns

#5 - 2020-11-12 00:30 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.
#6 - 2020-11-13 02:12 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files
feature-34241.patch 3.95 KB 2020-11-11 Mizuki ISHIKAWA
feature-34241-v2.patch 3.66 KB 2020-11-11 Go MAEDA
